> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/cze/dokumentace-api/prehled-pozadavku-geopard-api/59.-dotaz-ziskani-datovych-sad-asapplied.md).

# 59. Dotaz: Získání „datových sad AsApplied“

Získání datových sad As-Planted nebo As-Applied

Získejte všechna "AsAppliedDatasets" pro vybrané "Field". Datové sady lze načíst pomocí obecných GraphQL dotazů jako `getFarms` a `getFields` z připojeného "Field".&#x20;

{% hint style="warning" %}
"AsAppliedDataset" musí být nahrán předem.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid 
    název
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      asAppliedDatasets {
        uuid 
        název
        number #celkový počet geofeatures 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        atributů
        
        fullAttributes { #úplné informace pro každý atribut
          name #odkaz na statistiky >> atribut
          transliteratedName
          fullName #správný lidsky čitelný název
          unit#jednotky měření
        }

        usedMachines { #použité stroje
          id
          serial
          operatorId
        } 

        createdDate #datum a čas vytvoření entity v GeoPard
        updatedDate #datum a čas poslední aktualizace
        operationId
        operationType
        operationFileDate #datum a čas vytvoření souboru pocházejí z metainformací 
        operationStartDate #začátek operace pochází z metainformací
        
        statistics { #rozdělení statistik pro každý atribut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          krátkýNázev
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFields { 
  ziskejPozemky (filtr: {uuidPozemku: "<placeholder_of_field_uuid>"}) { 
    fields { 
      uuid
      area(unit: HECTARES) 
      asAppliedDatasets(asAppliedDatasetUuids: ["placeholder_of_dataset_uuid"]) { 
        uuid 
        název
        number #celkový počet geofeatures 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        atributů
        
        fullAttributes { #úplné informace pro každý atribut
          name #odkaz na statistiky >> atribut
          transliteratedName
          fullName #správný lidsky čitelný název
          unit#jednotky měření
        }

        usedMachines { #použité stroje
          id
          serial
          operatorId
        } 

        createdDate #datum a čas vytvoření entity v GeoPard
        updatedDate #datum a čas poslední aktualizace
        operationId
        operationType
        operationFileDate #datum a čas vytvoření souboru pocházejí z metainformací 
        operationStartDate #začátek operace pochází z metainformací
        
        statistics { #rozdělení statistik pro každý atribut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          krátkýNázev
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/cze/dokumentace-api/prehled-pozadavku-geopard-api/59.-dotaz-ziskani-datovych-sad-asapplied.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
